Skip to main content
PUT
/
v3
/
catalog_entries
/
{id}
UpdateEntry
curl --request PUT \
  --url https://api.incident.io/v3/catalog_entries/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aliases": [
    "lawrence@incident.io",
    "lawrence"
  ],
  "attribute_values": {
    "abc123": {
      "array_value": [
        {
          "literal": "SEV123"
        }
      ],
      "value": {
        "literal": "SEV123"
      }
    }
  },
  "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
  "name": "Primary On-call",
  "rank": 3,
  "update_attributes": [
    "abc123"
  ]
}
'
{
  "catalog_entry": {
    "aliases": [
      "lawrence@incident.io",
      "lawrence"
    ],
    "archived_at": "2021-08-17T14:28:57.801578Z",
    "attribute_values": {
      "abc123": {
        "array_value": [
          {
            "label": "Lawrence Jones",
            "literal": "SEV123"
          }
        ],
        "value": {
          "label": "Lawrence Jones",
          "literal": "SEV123"
        }
      }
    },
    "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "name": "Primary On-call",
    "rank": 3,
    "updated_at": "2021-08-17T13:28:57.801578Z"
  },
  "catalog_type": {
    "annotations": {
      "incident.io/catalog-importer/id": "id-of-config"
    },
    "categories": [
      "customer"
    ],
    "color": "yellow",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Represents Kubernetes clusters that we run inside of GKE.",
    "dynamic_resource_parameter": "abc123",
    "estimated_count": 7,
    "icon": "alert",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "is_editable": false,
    "is_team_type": false,
    "last_synced_at": "2021-08-17T13:28:57.801578Z",
    "name": "Kubernetes Cluster",
    "ranked": true,
    "registry_type": "PagerDutyService",
    "required_integrations": [
      "pager_duty"
    ],
    "schema": {
      "attributes": [
        {
          "array": false,
          "backlink_attribute": "abc123",
          "id": "01GW2G3V0S59R238FAHPDS1R66",
          "mode": "",
          "name": "tier",
          "path": [
            {
              "attribute_id": "abc123",
              "attribute_name": "abc123"
            }
          ],
          "type": "Custom[\"Service\"]"
        }
      ],
      "version": 1
    },
    "source_repo_url": "https://github.com/my-company/incident-io-catalog",
    "type_name": "Custom[\"BackstageGroup\"]",
    "updated_at": "2021-08-17T13:28:57.801578Z",
    "use_name_as_identifier": true
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

ID of this catalog entry

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
attribute_values
object
required

Values of this entry

Example:
{
  "abc123": {
    "array_value": [{ "literal": "SEV123" }],
    "value": { "literal": "SEV123" }
  }
}
name
string
required

Name is the human readable name of this entry

Example:

"Primary On-call"

aliases
string[]

Optional aliases that can be used to reference this entry

Example:
["lawrence@incident.io", "lawrence"]
external_id
string

An optional alternative ID for this entry, which is ensured to be unique for the type

Example:

"761722cd-d1d7-477b-ac7e-90f9e079dc33"

rank
integer<int32>

When catalog type is ranked, this is used to help order things

Example:

3

update_attributes
string[]

If provided, only update these attribute_values keys. If not provided, update all attribute values. If you specify an attribute key that's not in your payload, the associated attribute value will be cleared.

Example:
["abc123"]

Response

200 - application/json

OK response.

catalog_entry
object
required
Example:
{
  "aliases": ["lawrence@incident.io", "lawrence"],
  "archived_at": "2021-08-17T14:28:57.801578Z",
  "attribute_values": {
    "abc123": {
      "array_value": [
        {
          "label": "Lawrence Jones",
          "literal": "SEV123"
        }
      ],
      "value": {
        "label": "Lawrence Jones",
        "literal": "SEV123"
      }
    }
  },
  "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "created_at": "2021-08-17T13:28:57.801578Z",
  "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
  "id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "name": "Primary On-call",
  "rank": 3,
  "updated_at": "2021-08-17T13:28:57.801578Z"
}
catalog_type
object
required
Example:
{
  "annotations": {
    "incident.io/catalog-importer/id": "id-of-config"
  },
  "categories": ["customer"],
  "color": "yellow",
  "created_at": "2021-08-17T13:28:57.801578Z",
  "description": "Represents Kubernetes clusters that we run inside of GKE.",
  "dynamic_resource_parameter": "abc123",
  "estimated_count": 7,
  "icon": "alert",
  "id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "is_editable": false,
  "is_team_type": false,
  "last_synced_at": "2021-08-17T13:28:57.801578Z",
  "name": "Kubernetes Cluster",
  "ranked": true,
  "registry_type": "PagerDutyService",
  "required_integrations": ["pager_duty"],
  "schema": {
    "attributes": [
      {
        "array": false,
        "backlink_attribute": "abc123",
        "id": "01GW2G3V0S59R238FAHPDS1R66",
        "mode": "",
        "name": "tier",
        "path": [
          {
            "attribute_id": "abc123",
            "attribute_name": "abc123"
          }
        ],
        "type": "Custom[\"Service\"]"
      }
    ],
    "version": 1
  },
  "source_repo_url": "https://github.com/my-company/incident-io-catalog",
  "type_name": "Custom[\"BackstageGroup\"]",
  "updated_at": "2021-08-17T13:28:57.801578Z",
  "use_name_as_identifier": true
}